Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QDomNotation

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xml.QDomNode
                  com.trolltech.qt.xml.QDomNotation

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QDomNotation

extends QDomNode
implements java.lang.Cloneable

The `QDomNotation` class represents an XML notation. A notation either declares, by name, the format of an unparsed entity (see section 4.7 of the XML 1.0 specification), or is used for formal declaration of processing instruction targets (see section 2.6 of the XML 1.0 specification).

DOM does not support editing notation nodes; they are therefore read-only.

A notation node does not have any parent.

You can retrieve the `publicId()` and `systemId()` from a notation node.

For further information about the Document Object Model see Level 1 and Level 2 Core. For a more general introduction of the DOM implementation see the `QDomDocument` documentation.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.xml.QDomNode
`QDomNode.EncodingPolicy, QDomNode.NodeType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QDomNotation()` Constructor.
`QDomNotation(QDomNotation x)` Constructs a copy of `x`.

Method Summary
`QDomNotation` | `clone()` This method is reimplemented for internal reasons
`static QDomNotation` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QDomNotation instance pointed to by `nativePointer`.
`static QNativePointer` | `nativePointerArray(QDomNotation[] array)` This function returns a QNativePointer that is pointing to the specified QDomNotation array.
`java.lang.String` | `publicId()` Returns the public identifier of this notation.
`java.lang.String` | `systemId()` Returns the system identifier of this notation.

Methods inherited from class com.trolltech.qt.xml.QDomNode
`appendChild, childNodes, clear, cloneNode, cloneNode, columnNumber, firstChild, firstChildElement, firstChildElement, hasAttributes, hasChildNodes, insertAfter, insertBefore, isAttr, isCDATASection, isCharacterData, isComment, isDocument, isDocumentFragment, isDocumentType, isElement, isEntity, isEntityReference, isNotation, isNull, isProcessingInstruction, isSupported, isText, lastChild, lastChildElement, lastChildElement, lineNumber, localName, namedItem, namespaceURI, nativePointerArray, nextSibling, nextSiblingElement, nextSiblingElement, nodeName, nodeType, nodeValue, normalize, ownerDocument, parentNode, prefix, previousSibling, previousSiblingElement, previousSiblingElement, removeChild, replaceChild, save, save, setNodeValue, setPrefix, toAttr, toCDATASection, toCharacterData, toComment, toDocument, toDocumentFragment, toDocumentType, toElement, toEntity, toEntityReference, toNotation, toProcessingInstruction, toText, writeTo`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QDomNotation

    public QDomNotation()

  Constructor.

### QDomNotation

    public QDomNotation(QDomNotation x)

  Constructs a copy of `x`.

  The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use `cloneNode()`.

Method Detail

### publicId

    public final java.lang.String publicId()

  Returns the public identifier of this notation.

### systemId

    public final java.lang.String systemId()

  Returns the system identifier of this notation.

### fromNativePointer

    public static QDomNotation fromNativePointer(QNativePointer nativePointer)

  This method returns the QDomNotation instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QDomNotation[] array)

  This function returns a QNativePointer that is pointing to the specified QDomNotation array.

### clone

    public QDomNotation clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `QDomNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD